Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.statistics
Class XmlRpcScopeStatistics

    java.lang.Object
      org.red5.server.statistics.XmlRpcScopeStatistics

    public class XmlRpcScopeStatistics

extends Object

Public methods for XML-RPC scope statistics service.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Constructor Summary
`XmlRpcScopeStatistics()` Constructs a new XmlScopeStatistics.
`XmlRpcScopeStatistics(IScope globalScope)` Create new scope statistic.

Method Summary
`Map<String,Object>` | `getScopeAttributes()` Return attributes of the global scope.
`Map<String,Object>` | `getScopeAttributes(String path)` Return attributes of a given scope.
`String[]` | `getScopes()` Return available applications.
`String[]` | `getScopes(String path)` Return subscopes of another scope.
`Map<String,Object>` | `getSharedObjects(String path)` Return informations about shared objects of a given scope.
`void` | `setGlobalScope(IScope scope)` Setter for global scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcScopeStatistics

    public XmlRpcScopeStatistics()

  Constructs a new XmlScopeStatistics.

### XmlRpcScopeStatistics

    public XmlRpcScopeStatistics(IScope globalScope)

  Create new scope statistic.

  Parameters:
    `globalScope` - Global scope ref

Method Detail

### setGlobalScope

    public void setGlobalScope(IScope scope)

  Setter for global scope.

  Parameters:
    `scope` - Value to set for property 'globalScope'.

### getScopes

    public String[] getScopes()

  Return available applications.

  Returns:
    list of application names

### getScopes

    public String[] getScopes(String path)

  Return subscopes of another scope.

  Parameters:
    `path` - Path of scope to return subscopes of
  Returns:
    List of subscope names

### getScopeAttributes

    public Map<String,Object> getScopeAttributes()

  Return attributes of the global scope.

  Returns:
    The scope's attributes

### getScopeAttributes

    public Map<String,Object> getScopeAttributes(String path)

  Return attributes of a given scope.

  Parameters:
    `path` - Path of scope to return attributes of
  Returns:
    The scope's attributes

### getSharedObjects

    public Map<String,Object> getSharedObjects(String path)

  Return informations about shared objects of a given scope.

  Parameters:
    `path` - Path of scope to return shared objects for
  Returns:
    A mapping containing the shared object name -> (persistent, data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project